### Name: print.utDate
### Title: Print a Formatted Calendar Date
### Aliases: print.utDate
### Keywords: utilities

### ** Examples

# Make a 'utDate' object by hand.  This class of object is also
# returned by function 'utCalendar()'
date <- list() 
class(date) <- "utDate"
date$year   <- 1990
date$month  <- 6
date$day    <- 15
date$hour   <- 12
date$minute <- 30 
date$second <- 10.0

print(date)     # default format is "full"

# Turn the date into a character string without printing it
s <- print(date,format="unix",quiet=TRUE)

print(paste("here is that date one more time:",s))

# Note that if you want a formatted date INSIDE a paste call, you 
# have to call print with quiet=TRUE, like this:
print(paste("Yet another way of formatting the date:",print(date,format="sci",quiet=TRUE)))



