### Name: utCalendar
### Title: Convert Temporal Amounts to Calendar Date
### Aliases: utCalendar
### Keywords: utilities

### ** Examples

# Initialize the udunits library
utInit()

# Set our calendar units
unitstring <- "days since 1900-01-01"
u <- utScan(unitstring)

# Set our value
val <- 31038
date <- utCalendar( val, u )
print(date)

# Print it out "by hand"
print(paste("The date corresponding to",val,unitstring,"is:"))
print(paste("year=",date$year))
print(paste("month=",date$month))
print(paste("day=",date$day))
print(paste("hour=",date$hour))
print(paste("minute=",date$minute))
print(paste("second=",date$second))

# Some alternate ways of printing the date
print(date,format="unix")
print(date,format="slashes")
print(date,format="sci")

# Can also call utCalendar directly with the units string, but
# this is slower for multiple conversions than calling utScan()
# only once, as illustrated above.  But it works:
date2 <- utCalendar( val, unitstring )

# Note that to format a date INSIDE a paste call, you can 
# use the print function with quiet=TRUE, like this:
print(paste("This should be the same as the previous date:",print(date,format="sci",quiet=TRUE)))




