### Name: utConvert
### Title: Convert Values Between Units
### Aliases: utConvert
### Keywords: utilities

### ** Examples

# Initialize the udunits library
utInit()

# As an example, convert meters to inches
unitstrfrom <- "m"
unitstrto   <- "in"

unitfrom    <- utScan(unitstrfrom)
unitto      <- utScan(unitstrto)

res         <- utConvert( unitfrom, unitto )
print(paste("slope=",res$slope," intercept=",res$intercept))

val <- c(3.0,4.)
newval <- res$slope*val + res$intercept
print(paste(val,unitstrfrom,"is equivalent to",newval,unitstrto))

# Another example: convert degC (celsius) to degF (farenheit)
val    <- c(0,10,20,30,40)      # these are in degC
newval <- utConvert( "degC", "degF", val )      # newval is now in degF
print(paste(val,"degC is equivalant to",newval,"degF"))



