### Name: utInvCalendar
### Title: Convert a Calendar Date into a Temporal Amount
### Aliases: utInvCalendar
### Keywords: utilities

### ** Examples

# Initialize the udunits library
utInit()

# Set our calendar units
unitstring <- "days since 1900-01-01"
u <- utScan(unitstring)

# Set our date.  NOTE you must do this 'by hand'
date <- list()
class(date) <- "utDate"
date$year   <-  1990
date$month  <- 6
date$day    <- 15
date$hour   <- 12
date$minute <- 30
date$second <- 10.0

val <- utInvCalendar( date, u )

# Note use of 'print' with 'quiet=TRUE' here to format the date.  This
# is necessary because it appears *inside* a 'paste' call.
print(paste("the date",print(date,quiet=TRUE),"is",val,unitstring))

# You can also give the units string directly to the utInvCalendar
# function, but this is slower if you have multiple conversions to do.
# However it does work:
val2 <- utInvCalendar( date, unitstring )
print(paste("should be same as previous value:",val2))



